Skip to main content
GET
/
fine-tunes
/
{id}
/
metrics
cURL
curl -X GET "https://api.together.ai/v1/fine-tunes/ft-id/metrics?global_step_from=0&global_step_to=500" \
     -H "Authorization: Bearer $TOGETHER_API_KEY"
{
  "metrics": [
    {
      "train/loss": 0.5,
      "train/learning_rate": 0.0001,
      "train/global_step": 7
    },
    {
      "train/loss": 0.45,
      "train/learning_rate": 0.00009,
      "train/global_step": 14
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.together.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Fine-tune job ID. A string that starts with ft-.

Query Parameters

global_step_from
integer<int64>

Return only metrics with global_step >= this value.

global_step_to
integer<int64>

Return only metrics with global_step <= this value.

logged_at_from
string<date-time>

Return only metrics logged at or after this ISO-8601 timestamp.

logged_at_to
string<date-time>

Return only metrics logged at or before this ISO-8601 timestamp.

resolution
integer<int64>

Number of (uniformly sampled) train metrics to return.

Response

List of metrics snapshots in chronological order.

metrics
object[]